<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.predict.mapper.PrTheoryenergyDataMapper">
    
    <resultMap type="PrTheoryenergyData" id="PrTheoryenergyDataResult">
        <result property="windplantNo"    column="windplant_no"    />
        <result property="projectNo"    column="project_no"    />
        <result property="dataTime"    column="data_time"    />
        <result property="theoryenergy"    column="theoryenergy"    />
        <result property="availableenergy"    column="availableenergy"    />
        <result property="dataFlag"    column="data_flag"    />
    </resultMap>

    <sql id="selectPrTheoryenergyDataVo">
        select windplant_no, project_no, data_time, theoryenergy, availableenergy, data_flag from pr_theoryenergy_data
    </sql>

    <select id="selectPrTheoryenergyDataList" parameterType="PrTheoryenergyData" resultMap="PrTheoryenergyDataResult">
        <include refid="selectPrTheoryenergyDataVo"/>
        <where>
            <if test="windplantNo != null ">and windplant_no = #{windplantNo}</if>
            <if test="projectNo != null ">and project_no = #{projectNo}</if>
            <if test="theoryenergy != null "> and theoryenergy = #{theoryenergy}</if>
            <if test="availableenergy != null "> and availableenergy = #{availableenergy}</if>
            <if test="dataFlag != null "> and data_flag = #{dataFlag}</if>
            <if test="params.beginDataTime != null and params.beginDataTime != '' and params.endDataTime != null and params.endDataTime != ''">
                and data_time between to_date(#{params.beginDataTime},'yyyy-MM-dd HH24:MI:SS') and
                to_date(#{params.endDataTime},'yyyy-MM-dd HH24:MI:SS')
            </if>
            <if test="dataTime != null ">and data_time = #{dataTime}</if>
        </where>
    </select>
    
    <select id="selectPrTheoryenergyDataById" parameterType="Long" resultMap="PrTheoryenergyDataResult">
        <include refid="selectPrTheoryenergyDataVo"/>
        where windplant_no = #{windplantNo}
    </select>

    <select id="selectPrTheoryenergyData" parameterType="PrTheoryenergyData" resultMap="PrTheoryenergyDataResult">
        <include refid="selectPrTheoryenergyDataVo"/>
        where windplant_no = #{windplantNo} and project_no = #{projectNo} and data_time > #{dataTime}
    </select>

</mapper>